Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.compiler.xml
Class XmlProcessReader

    java.lang.Object
      org.jbpm.compiler.xml.XmlProcessReader

    public class XmlProcessReader

extends Object

Constructor Summary
`XmlProcessReader(org.drools.core.xml.SemanticModules modules, ClassLoader classLoader)`
`XmlProcessReader(org.drools.core.xml.SemanticModules modules, ClassLoader classLoader, SAXParser parser)`

Method Summary
`List<Process>` | `getProcess()`
`List<Process>` | `read(InputSource in)` Read a `Process` from an `InputSource`.
`List<Process>` | `read(InputStream inputStream)` Read a `Process` from an `InputStream`.
`List<Process>` | `read(Reader reader)` Read a `Process` from a `Reader`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlProcessReader

    public XmlProcessReader(org.drools.core.xml.SemanticModules modules,
                            ClassLoader classLoader)

### XmlProcessReader

    public XmlProcessReader(org.drools.core.xml.SemanticModules modules,
                            ClassLoader classLoader,
                            SAXParser parser)

Method Detail

### read

    public List<Process> read(Reader reader)
                       throws SAXException,
                              IOException

  Read a `Process` from a `Reader`.

  Parameters:
    `reader` - The reader containing the rule-set.
  Returns:
    The rule-set.
  Throws:
    `SAXException`
    `IOException`

### read

    public List<Process> read(InputStream inputStream)
                       throws SAXException,
                              IOException

  Read a `Process` from an `InputStream`.

  Parameters:
    `inputStream` - The input-stream containing the rule-set.
  Returns:
    The rule-set.
  Throws:
    `SAXException`
    `IOException`

### read

    public List<Process> read(InputSource in)
                       throws SAXException,
                              IOException

  Read a `Process` from an `InputSource`.

  Parameters:
    `in` - The rule-set input-source.
  Returns:
    The rule-set.
  Throws:
    `SAXException`
    `IOException`

### getProcess

    public List<Process> getProcess()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.